{% extends 'm_productos/base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block contenido %}

<main style="align-items: center; margin-left:5%; margin-right:5%">

    <div class="table table-dark" style="padding:1ex; margin-bottom:0">
        {% if messages %}
        {% for message in messages %}
        <script>
            Swal.fire({
                title: 'Enviar Solicitud de Reserva',
                text: "{{message}}",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Sí, enviar solicitud'
            }).then((result) => {
                if (result.isConfirmed) {
                    Swal.fire(
                        'Exelente',
                        'Reserva Solicitada',
                        'Espere atento confirmacion del restaurant'
                    )
                }
            })
        </script>
        {% endfor %}
        {% else %}
        <h3>Reservar Mesa numero {{mesa}}</h3>

        {{ formulario.media }}
        <form action="" method="post" enctype="multipart/form-data">
            {% csrf_token %}
            {{formulario|crispy}}
            {% if formulario %}
            <p id='precio'></p>
            <input type="submit" value="Pagar" class="btn btn-warning">
        {% endif %}
        </form>
    </div>
    {% endif %}
</main>
<script src="{% static 'app/reserva.js' %}"></script>
{% endblock contenido%}